# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class TableEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<TableEntry>
                  com.google.gdata.data.spreadsheet.TableEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class TableEntry

extends BaseEntry<TableEntry>

Describes a table entry in the feed of a spreadsheet's tables.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Table table category kind category.
`static java.lang.String` `KIND` Table table category kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`TableEntry()` Default mutable constructor.
`TableEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Data` `getData()` Returns the data region of a table.
`Header` `getHeader()` Returns the header row.
`Link` `getRecordsFeedLink()` Returns the link for the feed of a table's records.
`Worksheet` `getWorksheet()` Returns the worksheet where the table lives.
`boolean` `hasData()` Returns whether it has the data region of a table.
`boolean` `hasHeader()` Returns whether it has the header row.
`boolean` `hasWorksheet()` Returns whether it has the worksheet where the table lives.
`void` `setData(Data data)` Sets the data region of a table.
`void` `setHeader(Header header)` Sets the header row.
`void` `setWorksheet(Worksheet worksheet)` Sets the worksheet where the table lives.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Table table category kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Table table category kind category.

Constructor Detail

### TableEntry

    public TableEntry()

  Default mutable constructor.

### TableEntry

    public TableEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getData

    public Data getData()

  Returns the data region of a table.

  Returns:
    data region of a table

### setData

    public void setData(Data data)

  Sets the data region of a table.

  Parameters:
    `data` - data region of a table or `null` to reset

### hasData

    public boolean hasData()

  Returns whether it has the data region of a table.

  Returns:
    whether it has the data region of a table

### getHeader

    public Header getHeader()

  Returns the header row.

  Returns:
    header row

### setHeader

    public void setHeader(Header header)

  Sets the header row.

  Parameters:
    `header` - header row or `null` to reset

### hasHeader

    public boolean hasHeader()

  Returns whether it has the header row.

  Returns:
    whether it has the header row

### getWorksheet

    public Worksheet getWorksheet()

  Returns the worksheet where the table lives.

  Returns:
    worksheet where the table lives

### setWorksheet

    public void setWorksheet(Worksheet worksheet)

  Sets the worksheet where the table lives.

  Parameters:
    `worksheet` - worksheet where the table lives or `null` to reset

### hasWorksheet

    public boolean hasWorksheet()

  Returns whether it has the worksheet where the table lives.

  Returns:
    whether it has the worksheet where the table lives

### getRecordsFeedLink

    public Link getRecordsFeedLink()

  Returns the link for the feed of a table's records.

  Returns:
    Link for the feed of a table's records or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`